> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Health check

GET https://usage-events.prod.api.tabsplatform.com/health

Returns the health status of the application and its dependencies (Valkey/Redis and Kafka)

Reference: https://docs.tabs.com/api-reference/health

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Response

### 200

Health status retrieved successfully

- `status` (enum, optional) — Overall health status
  - Allowed values: `ok`, `partial`, `down`
- `info` (map from string to DependencyStatus, optional) — Health information for each dependency
- `error` (map from string to HealthResponseError, optional) — Error information (empty if healthy)
- `details` (map from string to DependencyStatus, optional) — Detailed health information for each dependency

## Types

### DependencyStatus

Status information for a dependency

- `status` (enum, optional) — Status of the dependency
  - Allowed values: `up`, `down`
- `error` (string, optional) — Error message if the dependency is down

### HealthResponseError

Error information (empty if healthy)

## Examples

**Response**

```json
{
  "status": "ok",
  "info": {
    "valkey": {
      "status": "up"
    },
    "kafka": {
      "status": "up"
    }
  },
  "error": {},
  "details": {
    "valkey": {
      "status": "up"
    },
    "kafka": {
      "status": "up"
    }
  }
}
```

**SDK Code**

```python Healthy Response
import requests

url = "https://usage-events.prod.api.tabsplatform.com/health"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Healthy Response
const url = 'https://usage-events.prod.api.tabsplatform.com/health';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Healthy Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://usage-events.prod.api.tabsplatform.com/health"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Healthy Response
require 'uri'
require 'net/http'

url = URI("https://usage-events.prod.api.tabsplatform.com/health")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Healthy Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://usage-events.prod.api.tabsplatform.com/health")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php Healthy Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://usage-events.prod.api.tabsplatform.com/health', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Healthy Response
using RestSharp;

var client = new RestClient("https://usage-events.prod.api.tabsplatform.com/health");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Healthy Response
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://usage-events.prod.api.tabsplatform.com/health")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```